CWDatabaseInternal::State Struct Reference

Internal: the state of a CWDatabase. More...

## Public Member Functions

| State ()
| constructor More...

## Public Attributes

std::map< int, shared_ptr < Database > > | m_databaseMap

## Detailed Description

Internal: the state of a CWDatabase.

## Constructor & Destructor Documentation

CWDatabaseInternal::State::State | ( |  | ) |

inline

constructor

## Member Data Documentation

std::map<int, shared_ptr<Database> > CWDatabaseInternal::State::m_databaseMap

The documentation for this struct was generated from the following file:

- CWDatabase.cxx